View Issue Details

IDProjectCategoryView StatusLast Update
0000145Client/GameGeneralpublic2022-07-03 18:05
ReporterVortrex Assigned ToPerikiyoXD  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.4.2 
Target Version1.4.3Fixed in Version1.4.3 
Summary0000145: Resources progress bar issue
Description

So there's no loading bar while the splash screen is shown. If the camera hasn't faded into the game, players won't know if there are resources downloading!
I have a larger resource that takes a few moments to download (has lots of custom DFF/TXD files) and until it's complete, the game just "hangs" on the loading screen with no indication that it's downloading in the background except the messages in console. Furthermore, I can't fade in the camera using the client side function since the resources haven't loaded yet!

This needs fixed ASAP! To most players, this would probably appear as the game is stuck and isn't loading.

TagsNo tags attached.
Game All Games
Game Version

Activities

Vortrex

2020-02-07 23:30

administrator  

gta3_Cfm2FwEY98.jpg (126,088 bytes)   
gta3_Cfm2FwEY98.jpg (126,088 bytes)   
gta3_9fIFJ9IKL9.jpg (104,083 bytes)   
gta3_9fIFJ9IKL9.jpg (104,083 bytes)   

PerikiyoXD

2022-06-20 15:49

reporter   ~0000292

We've decided this will be the design

final_positioning.png (21,817 bytes)   
final_positioning.png (21,817 bytes)   
mock_3_darkest-2.png (12,621 bytes)   
mock_3_darkest-2.png (12,621 bytes)   

PerikiyoXD

2022-06-20 15:55

reporter   ~0000293

Preview with splash

splash_preview_3.png (882,782 bytes)

PerikiyoXD

2022-06-20 20:31

reporter   ~0000294

Implementation

final_impl_ss.png (56,981 bytes)   
final_impl_ss.png (56,981 bytes)   

PerikiyoXD

2022-07-03 18:05

reporter   ~0000300

Waiting for merging changes

Issue History

Date Modified Username Field Change
2020-02-07 23:30 Vortrex New Issue
2020-02-07 23:30 Vortrex File Added: gta3_Cfm2FwEY98.jpg
2020-02-07 23:30 Vortrex File Added: gta3_9fIFJ9IKL9.jpg
2022-06-20 15:46 PerikiyoXD File Deleted: imagen-2.png
2022-06-20 15:49 PerikiyoXD Note Added: 0000292
2022-06-20 15:49 PerikiyoXD File Added: final_positioning.png
2022-06-20 15:49 PerikiyoXD File Added: mock_3_darkest-2.png
2022-06-20 15:55 PerikiyoXD Note Added: 0000293
2022-06-20 15:55 PerikiyoXD File Added: splash_preview_3.png
2022-06-20 19:52 PerikiyoXD Assigned To => PerikiyoXD
2022-06-20 19:52 PerikiyoXD Status new => assigned
2022-06-20 20:31 PerikiyoXD Note Added: 0000294
2022-06-20 20:31 PerikiyoXD File Added: final_impl_ss.png
2022-06-29 06:40 PerikiyoXD Product Version => 1.4.2
2022-06-29 06:40 PerikiyoXD Fixed in Version => 1.4.3
2022-06-29 06:40 PerikiyoXD Target Version => 1.4.3
2022-07-03 18:05 PerikiyoXD Status assigned => resolved
2022-07-03 18:05 PerikiyoXD Resolution open => fixed
2022-07-03 18:05 PerikiyoXD Game => All Games
2022-07-03 18:05 PerikiyoXD Note Added: 0000300